#include "CoreTimerFlagWidget.h"
#include "EFlagSize.h"
#include "TimerFlagViewData.h"

class UCoreButtonWidget;

void UCoreTimerFlagWidget::UpdateTimer_Implementation(const FString& newTimer)
{

}

void UCoreTimerFlagWidget::UpdateFlagSize_Implementation(EFlagSize flagSize)
{

}

void UCoreTimerFlagWidget::UnbindFromButton()
{

}

void UCoreTimerFlagWidget::SetData_Implementation(const FTimerFlagViewData& data)
{

}

void UCoreTimerFlagWidget::OnTimerTick(int32 remainingTime)
{

}

void UCoreTimerFlagWidget::OnTargetUnhovered(UCoreButtonWidget* targetButton)
{

}

void UCoreTimerFlagWidget::OnTargetHovered(UCoreButtonWidget* targetButton)
{

}

void UCoreTimerFlagWidget::NativeDestruct()
{

}

bool UCoreTimerFlagWidget::IsDataSet() const
{
	return false;
}

EFlagSize UCoreTimerFlagWidget::GetCurrentFlagSize() const
{
	return EFlagSize::Short;
}

FTimerFlagViewData UCoreTimerFlagWidget::GetCachedData() const
{
	return FTimerFlagViewData{};
}

void UCoreTimerFlagWidget::BindToButton(UCoreButtonWidget* targetButton)
{

}

UCoreTimerFlagWidget::UCoreTimerFlagWidget()
{
	this->_currentFlagSize = EFlagSize::Short;
}
